<?
	if($_GET['d']){
?>
		<?/*?>
		<div class="subtitle-2"><?=$la_sifrarnik[$_GET['d'] - 1][1]?></div>
		<a href="<?=make_link('sifrarnik-'.$_GET['d'], $_GET['a'].':'.$_GET['b'].':'.$_GET['c'].':'.$_GET['d'])?>" class="buttonSmall">Pregled podataka</a>
		<a href="<?=make_link('sifrarnik-dodaj-podatak-'.$_GET['d'], $_GET['a'].':'.$_GET['b'].':'.$_GET['c'].':'.$_GET['d'].':-1')?>" class="buttonSmall">Dodaj novi podatak</a>
		<?*/?>
<?
		$la_table = array('radno_mjesto', 'strucna_sprema', 'tip_zaposlenja', 'zvanje', 'drzava', 'mjesto', 'znanja', 
			'vjestine', 'dodatna_izobrazba', 'mjesto_rada');
		$la_sifrarnik = array(
			'sifrarnik_radnih_mjesta',
			'sifrarnik_strucne_spreme',
			'sifrarnik_tipa_zaposlenja',
			'sifrarnik_zvanja',
			'sifrarnik_drzava',
			'sifrarnik_mjesta',
			'sifrarnik_znanja',
			'sifrarnik_vjestina',
			'sifrarnik_dodatne_izobrazbe',
			'sifrarnik_mjesta_rada'
		);

		switch(strval($_GET['e'])){
			// dodaj novi podatak
			case '-1':
				$l_forma = gen_form($la_table[$_GET['d'] - 1], $la_sifrarnik[$_GET['d'] - 1]);
?>
				<?/*?><div class="subtitle-2">Dodaj novi podatak</div><?*/?>
				<?=$l_added?>
				<?=$l_error?>
				<div class="list">
					<?=$l_forma?>
				</div>
<?
				break;
				
			// pregled podataka
			case '':
				$_GET['edited'] == 1 ?
					$l_edited = '<div class="added">Podatak je uspješno promijenjen.</div>'
					:
					$l_edited = '';
						
				$_GET['added'] == 1 ?
					$l_added = '<div class="added">Novi podatak uspješno je dodan.</div>'
					:
					$l_added = '';
				
				$_GET['error'] ?
					$l_error = '<div class="error">Dogodila se pogreška. Molimo probajte ponovo.</div>'
					:
					$l_error = '';
?>
				<?=$l_edited?>
				<?=$l_added?>
				<?=$l_error?>
<?
				$x = get_data('select ime, polje_order, klasa, show_label, label, show_header, header_klasa '.
					' from meta_prikaz where ime = "'.$la_sifrarnik[$_GET['d'] - 1].'" ', 0);
				
				$y = get_data('select meta_prikaz_item.* '.
					' from meta_prikaz, meta_prikaz_item '.
					' where meta_prikaz.rbr = meta_prikaz_item.rbr_meta_prikaz '.
					' and meta_prikaz.ime = "'.$la_sifrarnik[$_GET['d'] - 1].'" '.
					' order by meta_prikaz_item.redoslijed, meta_prikaz_item.rbr_atribut ', 1);
				$l_atribut = '';
				for($i = 0; $i < sizeof($y['ime_polja']); $i++){
					$l_atribut .= ', '.$y['ime_polja'][$i];
				}
				
				$x['polje_order'] == '' ? $l_order = '' : $l_order = ' order by '.$x['polje_order'];
				
				$z = get_data('select '.substr($l_atribut, 2).' from '.$la_table[$_GET['d'] - 1].$l_order, 1);
				
				$x['klasa'] == '' ? $l_klasa = '' : $l_klasa = ' class="'.$x['klasa'].'"';
				$x['header_klasa'] == '' ? $l_header_klasa = '' : $l_header_klasa = ' class="'.$x['header_klasa'].'"';
				$x['show_label'] == 1 ? $l_label = '<h3>'.$x['label'].'</h3>' : $l_label = '';
				
				$la_type = array();
				$la_tip_polja = array();
				
				$l_table = $l_label."\n";
				$l_table .= '<table cellspacing="0" cellpadding="0" border="0"'.$l_klasa.'>'."\n";
				$l_header = '<tr'.$l_header_klasa.'>'."\n";
				for($i = 0; $i < sizeof($y['label']); $i++){
					if($y['aktivan'][$i] == 0){
						continue;
					}
					$l_header .= '<td>'.$y['label'][$i].'</td>'."\n";
					
					$la_type[$i] = explode('-', $y['tip_polja'][$i]);
					$la_type[$i][0] = strtolower(trim($la_type[$i][0]));
					
					if($la_type[$i][0] == 'char' && !$y['kljuc'][$i]){
						$la_tip_polja[$i] = 'txt';
					}
					if($la_type[$i][0] == 'text'){
						$la_tip_polja[$i] = 'area';
					}
					if($la_type[$i][0] == 'smallint' || ($y['kljuc'][$i] && $y['kljuc'][$i] != 'PRI')){
						$la_tip_polja[$i] = 'select';
					}
					if($la_type[$i][0] == 'int'){
					}
				}
				$l_header .= '<td></td><td></td></tr>'."\n";
				
				if($x['show_header'] == 1){
					$l_table .= $l_header;
				}
					
				for($i = 0; $i < sizeof($z[$y['ime_polja'][0]]); $i++){
					$l_table .= '<tr>'."\n";
					for($j = 0; $j < sizeof($y['label']); $j++){
						if($y['aktivan'][$j] == 0){
							continue;
						}
						$l_element = '';
						switch($la_tip_polja[$j]){
							case 'select':
								$l_element = get_item('select '.str_replace('f_', '', $y['polje_select'][$j]).' from '.$y['kljuc'][$j].' where '.$y['polje_where'][$j].' = "'.$z[$y['ime_polja'][$j]][$i].'" ');
								break;
								
							default:
								$l_element = $z[$y['ime_polja'][$j]][$i];
								break;
						}
						
						$l_table .= '<td>'.$l_element.'</td>'."\n";
					}
					$l_table .= '<td><a href="#" onclick="return forma_del(\''.$x['ime'].'\', \''.$z['guid'][$i].'\');"'.
						'>Delete</a></td>'."\n";
					$l_table .= '<td><a href="'.make_link('sifrarnik-editiraj-podatak-'.$_GET['d'],
						$_GET['a'].':'.$_GET['b'].':'.$_GET['c'].':'.$_GET['d'].':'.$z['guid'][$i]).'">Edit</a></td>'."\n";
					$l_table .= '</tr>'."\n";
				}
				
				$l_table .= '</table>'."\n";
				
				print '<div class="list">'.$l_table.'</div>';
				break;
					
			// editiraj podatak
			default:
				$l_forma = gen_form($la_table[$_GET['d'] - 1], $la_sifrarnik[$_GET['d'] - 1], $_GET['e']);
?>
				<div class="list">
					<?=$l_forma?>
				</div>
<?
		}
	}
?>
